LinuxQMISDK: DataStatusDetail Struct Reference

LinuxQMISDK SLQS03.03.07

- Main Page
- Modules
- References
- Data Structures

- Data Structures
- Data Fields

Data Fields
DataStatusDetail Struct Reference

## Data Fields
ULONG | IPAddress
BYTE | LastErrCode

## Detailed Description

This structure contains Data Status Details

Parameters

  IPAddress | IP Address 0xABCDEFGH - AB.CD.EF.GH Example: 0x12345678 - 18.52.86.120 0x12=18 0x34=52 0x56=86 0x78=120 0xFFFFFFFF - NA
  LastErrCode | MIP Error code 0x00 - MIP_RRP_CODE_SUCCESS 0x01 - MIP_RRP_CODE_SUCCESS_NO_SIM_BINDINGS 0x40 - MIP_RRP_CODE_FAILURE_FA_REASON_UNSPECIFIED 0x41 - MIP_RRP_CODE_FAILURE_FA_ADMIN_PROHIBITED 0x42 - MIP_RRP_CODE_FAILURE_FA_INSUFFICIENT_RESOURCES 0x43 - MIP_RRP_CODE_FAILURE_FA_MOBILE_NODE_FAILED_AUTH 0x44 - MIP_RRP_CODE_FAILURE_FA_HA_FAILED_AUTH 0x45 - MIP_RRP_CODE_FAILURE_FA_REQUESTED_LIFETIME_TOO_LONG 0x46 - MIP_RRP_CODE_FAILURE_FA_MALFORMED_REQUEST 0x47 - MIP_RRP_CODE_FAILURE_FA_MALFORMED_REPLY 0x48 - MIP_RRP_CODE_FAILURE_FA_ENCAPSULATION_UNAVAILABLE 0x49 - MIP_RRP_CODE_FAILURE_FA_VJHC_UNAVAILABLE 0x4A - MIP_RRP_CODE_FAILURE_FA_CANT_REV_TUN 0x4B - MIP_RRP_CODE_FAILURE_FA_MUST_REV_TUN 0x4C - MIP_RRP_CODE_FAILURE_FA_BAD_TTL 0x4D - MIP_RRP_CODE_FAILURE_INVALID_COA 0x4F - MIP_RRP_CODE_FAILURE_FA_DELIVERY_STYLE_NOT_SUPPORTED 0x59 - MIP_RRP_CODE_FAILURE_FA_VS_REASON 0x61 - MIP_RRP_CODE_FAILURE_MISSING_NAI 0x62 - MIP_RRP_CODE_FAILURE_MISSING_HA_ADDR 0x63 - MIP_RRP_CODE_FAILURE_MISSING_HOMEADDR 0x68 - MIP_RRP_CODE_FAILURE_UNKNOWN_CHALLENGE 0x69 - MIP_RRP_CODE_FAILURE_MISSING_CHALLENGE 0x6A - MIP_RRP_CODE_FAILURE_STALE_CHALLENGE 0x6B - MIP_RRP_CODE_FAILURE_MISSING_MN_FA 0x80 - MIP_RRP_CODE_FAILURE_HA_REASON_UNSPECIFIED 0x81 - MIP_RRP_CODE_FAILURE_HA_ADMIN_PROHIBITED 0x82 - MIP_RRP_CODE_FAILURE_HA_INSUFFICIENT_RESOURCES 0x83 - MIP_RRP_CODE_FAILURE_HA_MOBILE_NODE_FAILED_AUTH 0x84 - MIP_RRP_CODE_FAILURE_HA_FA_FAILED_AUTH 0x85 - MIP_RRP_CODE_FAILURE_HA_REG_ID_MISMATCH 0x86 - MIP_RRP_CODE_FAILURE_HA_MALFORMED_REQUEST 0x88 - MIP_RRP_CODE_FAILURE_UNKNOWN_HA 0x89 - MIP_RRP_CODE_FAILURE_HA_CANT_REV_TUN 0x8A - MIP_RRP_CODE_FAILURE_HA_MUST_REV_TUN 0x8B - MIP_RRP_CODE_FAILURE_HA_ENCAPSULATION_UNAVAILABLE 0x8F - MIP_RRP_CODE_FAILURE_REDIRECTED_HA 0x90 - MIP_RRP_CODE_FAILURE_HA_BAD_AAA_AUTH 0xFF - NA

## Field Documentation

ULONG DataStatusDetail::IPAddress

BYTE DataStatusDetail::LastErrCode